## org.eclipse.datatools.sqltools.result.internal.export
Class OutputterUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.export.OutputterUtil

    public class OutputterUtil

extends java.lang.Object

Constructor Summary
`OutputterUtil()`

Method Summary
`static void` `encodeCDATA(java.io.PrintWriter w, byte[] bytes)`
`static java.lang.String` `escapeForXML(java.lang.String s)`
`static void` `writeBinaryData(java.io.PrintWriter w, java.lang.Object obj)`
`static void` `writeStringData(java.io.PrintWriter w, java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputterUtil

    public OutputterUtil()

Method Detail

### writeStringData

    public static void writeStringData(java.io.PrintWriter w,
                                       java.lang.String s)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBinaryData

    public static void writeBinaryData(java.io.PrintWriter w,
                                       java.lang.Object obj)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### escapeForXML

    public static java.lang.String escapeForXML(java.lang.String s)

### encodeCDATA

    public static void encodeCDATA(java.io.PrintWriter w,
                                   byte[] bytes)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`